Bug 3431 - regtree doesn't list anything, pipe breaks
regtree doesn't list anything, pipe breaks
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Jelmer Vernooij
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-21 07:10 UTC by Willi Mann
Modified: 2008-01-06 21:13 UTC (History)
2 users (show)

See Also:


Attachments
Here now the patches. (3.91 KB, patch)
2007-08-27 10:20 UTC, Matthias Dieter Wallnöfer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Willi Mann 2006-01-21 07:10:33 UTC
See the referenced post to samba-technical.
Just reporting so it does not get lost.
Comment 1 Jelmer Vernooij 2006-01-23 03:09:12 UTC
Willi Mann schrieb:
> I just tried out regtree against Windows 2000 Sp2 german. The output 
> does not seem very promising, and regsvc.exe dies on the windows side.
> 
> I have the trace available on request per private mail.

Here is the output with --debuglevel=10
$ regtree  --remote=ncacn_np:172.16.197.153  -c  "administrator" -U 
administrator HKEY_LOCAL_MACHINE --debuglevel=10
Initialising global parameters
lp_load: refreshing parameters from /etc/samba/smb.conf
params.c:pm_process() - Processing configuration file "/etc/samba/smb.conf"
Processing section "[globals]"
pm_process() returned Yes
adding hidden service IPC$
adding hidden service ADMIN$
failed to get principal from default ccache: No such file or directory: 
open(/tmp/krb5cc_1000): No such file or directory
Using binding ncacn_np:172.16.197.153
Mapped to DCERPC endpoint \pipe\winreg
Shutdown SMB signing
SMB Signing is not negotiated by the peer
Starting GENSEC mechanism ntlmssp
Got challenge flags:
Got NTLMSSP neg_flags=0x608a0215
   NTLMSSP_NEGOTIATE_UNICODE
   NTLMSSP_REQUEST_TARGET
   NTLMSSP_NEGOTIATE_SIGN
   NTLMSSP_NEGOTIATE_NTLM
   NTLMSSP_NEGOTIATE_NTLM2
   NTLMSSP_CHAL_TARGET_INFO
   NTLMSSP_NEGOTIATE_128
   NTLMSSP_NEGOTIATE_KEY_EXCH
NTLMSSP: Set final flags:
Got NTLMSSP neg_flags=0x60080215
   NTLMSSP_NEGOTIATE_UNICODE
   NTLMSSP_REQUEST_TARGET
   NTLMSSP_NEGOTIATE_SIGN
   NTLMSSP_NEGOTIATE_NTLM
   NTLMSSP_NEGOTIATE_NTLM2
   NTLMSSP_NEGOTIATE_128
   NTLMSSP_NEGOTIATE_KEY_EXCH
Password for [WMI\administrator]:
NTLMSSP challenge set by NTLM2
challenge is:
[000] F7 FA EC D5 18 77 48 D9                           .....wH.
SMB Signing is not negotiated by the peer
SMB Signing is not negotiated by the peer
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
rpc reply data:
[000] 00 00 00 00 16 2D A2 61  CF 85 DA 11 81 D8 00 50  .....-.a .......P
[010] FC 3A 1F 03 00 00 00 00                           .:......
HKEY_CLASSES_ROOT
rpc request data:
[000] 00 00 00 00 16 2D A2 61  CF 85 DA 11 81 D8 00 50  .....-.a .......P
[010] FC 3A 1F 03 00 00 00 00  00 00 00 04 00 00 00 00  .:...... ........
[020] 00 00 02 00 00 00 00 00  00 00 00 00 04 00 02 00  ........ ........
[030] 00 00 00 00 00 00 00 00                           ........
Error occured while fetching subkeys for '': DOS code 0x00000030
rpc request data:
[000] 00 00 00 00 16 2D A2 61  CF 85 DA 11 81 D8 00 50  .....-.a .......P
[010] FC 3A 1F 03 00 00 00 00  00 00 00 00              .:...... ....
QueryInfoKey failed - NT_STATUS_INVALID_PIPE_STATE
Error occured while fetching values for '': DOS code 0x000000e6
Backend 'rpc' doesn't support method get_sec_desc
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
Error executing open
Skipping HKEY_CURRENT_USER
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
Error executing open
Skipping HKEY_LOCAL_MACHINE
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
Error executing open
Skipping HKEY_USERS
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
Error executing open
Skipping HKEY_PERFORMANCE_DATA
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
Error executing open
Skipping HKEY_CURRENT_CONFIG
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
Error executing open
Skipping HKEY_DYN_DATA
No such hive -2147483641
Skipping (null)
No such hive -2147483640
Skipping (null)
No such hive -2147483639
Skipping (null)
No such hive -2147483638
Skipping (null)
...
No such hive -2147483571
Skipping (null)
No such hive -2147483570
Skipping (null)
No such hive -2147483569
Skipping (null)
No such hive -2147483568
Skipping HKEY_PERFORMANCE_TEXT
No such hive -2147483567
Skipping (null)
Comment 2 Jelmer Vernooij 2006-03-10 07:32:39 UTC
Can you please try this again with a more recent SVN snapshot (or the TP)? I think this has been fixed.
Comment 3 Willi Mann 2006-03-29 07:50:40 UTC
(In reply to comment #2)
> Can you please try this again with a more recent SVN snapshot (or the TP)? I
> think this has been fixed.

Unfortunately not. It still kills the regsvc on the other host.

samba4/source/bin$ ./regtree  --remote=ncacn_np:172.16.197.153  -c  "administrator" -U administrator --debuglevel=10
Initialising global parameters
lp_load: refreshing parameters from /usr/local/samba/etc/smb.conf
params.c:OpenConfFile() - Unable to open configuration file "/usr/local/samba/etc/smb.conf":
        No such file or directory
pm_process() returned No
adding hidden service IPC$
adding hidden service ADMIN$
failed to get principal from default ccache: No such file or directory: open(/tmp/krb5cc_1000): No such file or directory
Using binding ncacn_np:172.16.197.153
Mapped to DCERPC endpoint \pipe\winreg
Shutdown SMB signing
SMB Signing is not negotiated by the peer
Starting GENSEC mechanism ntlmssp
Got challenge flags:
Got NTLMSSP neg_flags=0x608a0215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_CHAL_ACCEPT_RESPONSE
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_CHAL_TARGET_INFO
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
Password for [WORKGROUP\administrator]:
NTLMSSP challenge set by NTLM2
challenge is:
[000] 1A 41 84 8E 2A 46 7A 91                           .A..*Fz.
NTLMSSP: Set final flags:
Got NTLMSSP neg_flags=0x60080215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
SMB Signing is not negotiated by the peer
SMB Signing is not negotiated by the peer
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
rpc reply data:
[000] 00 00 00 00 B0 0C F3 50  22 BF DA 11 81 D9 00 50  .......P "......P
[010] FC 3A 1F 03 00 00 00 00                           .:......
HKEY_CLASSES_ROOT
rpc request data:
[000] 00 00 00 00 B0 0C F3 50  22 BF DA 11 81 D9 00 50  .......P "......P
[010] FC 3A 1F 03 00 00 00 00  00 00 00 04 00 00 00 00  .:...... ........
[020] 00 00 02 00 00 00 00 00  00 00 00 00 04 00 02 00  ........ ........
[030] 00 00 00 00 00 00 00 00                           ........
Error occured while fetching subkeys for '': DOS code 0x083505f0
rpc request data:
[000] 00 00 00 00 B0 0C F3 50  22 BF DA 11 81 D9 00 50  .......P "......P
[010] FC 3A 1F 03 00 00 00 00  00 00 00 00              .:...... ....
QueryInfoKey failed - NT_STATUS_INVALID_PIPE_STATE
Error occured while fetching values for '': DOS code 0x000000e6
Backend 'rpc' doesn't support method get_sec_desc
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
Error executing open
Skipping HKEY_CURRENT_USER
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
Error executing open
Skipping HKEY_LOCAL_MACHINE
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
Error executing open
Skipping HKEY_USERS
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
Error executing open
Skipping HKEY_PERFORMANCE_DATA
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
Error executing open
Skipping HKEY_CURRENT_CONFIG
rpc request data:
[000] 00 00 00 00 00 00 00 02                           ........
Error executing open
Skipping HKEY_DYN_DATA
No such hive -2147483641
Skipping (null)
No such hive -2147483640
Skipping (null)
No such hive -2147483639
Skipping (null)
No such hive -2147483638
Skipping (null)
No such hive -2147483637
Skipping (null)
No such hive -2147483636
Skipping (null)
No such hive -2147483635
Skipping (null)
No such hive -2147483634
Skipping (null)
No such hive -2147483633
Skipping (null)
No such hive -2147483632
Skipping (null)
No such hive -2147483631
Skipping (null)
No such hive -2147483630
Skipping (null)
No such hive -2147483629
Skipping (null)
No such hive -2147483628
Skipping (null)
No such hive -2147483627
Skipping (null)
No such hive -2147483626
Skipping (null)
No such hive -2147483625
Skipping (null)
No such hive -2147483624
Skipping (null)
No such hive -2147483623
Skipping (null)
No such hive -2147483622
Skipping (null)
No such hive -2147483621
Skipping (null)
No such hive -2147483620
Skipping (null)
No such hive -2147483619
Skipping (null)
No such hive -2147483618
Skipping (null)
No such hive -2147483617
Skipping (null)
No such hive -2147483616
Skipping (null)
No such hive -2147483615
Skipping (null)
No such hive -2147483614
Skipping (null)
No such hive -2147483613
Skipping (null)
No such hive -2147483612
Skipping (null)
No such hive -2147483611
Skipping (null)
No such hive -2147483610
Skipping (null)
No such hive -2147483609
Skipping (null)
No such hive -2147483608
Skipping (null)
No such hive -2147483607
Skipping (null)
No such hive -2147483606
Skipping (null)
No such hive -2147483605
Skipping (null)
No such hive -2147483604
Skipping (null)
No such hive -2147483603
Skipping (null)
No such hive -2147483602
Skipping (null)
No such hive -2147483601
Skipping (null)
No such hive -2147483600
Skipping (null)
No such hive -2147483599
Skipping (null)
No such hive -2147483598
Skipping (null)
No such hive -2147483597
Skipping (null)
No such hive -2147483596
Skipping (null)
No such hive -2147483595
Skipping (null)
No such hive -2147483594
Skipping (null)
No such hive -2147483593
Skipping (null)
No such hive -2147483592
Skipping (null)
No such hive -2147483591
Skipping (null)
No such hive -2147483590
Skipping (null)
No such hive -2147483589
Skipping (null)
No such hive -2147483588
Skipping (null)
No such hive -2147483587
Skipping (null)
No such hive -2147483586
Skipping (null)
No such hive -2147483585
Skipping (null)
No such hive -2147483584
Skipping (null)
No such hive -2147483583
Skipping (null)
No such hive -2147483582
Skipping (null)
No such hive -2147483581
Skipping (null)
No such hive -2147483580
Skipping (null)
No such hive -2147483579
Skipping (null)
No such hive -2147483578
Skipping (null)
No such hive -2147483577
Skipping (null)
No such hive -2147483576
Skipping (null)
No such hive -2147483575
Skipping (null)
No such hive -2147483574
Skipping (null)
No such hive -2147483573
Skipping (null)
No such hive -2147483572
Skipping (null)
No such hive -2147483571
Skipping (null)
No such hive -2147483570
Skipping (null)
No such hive -2147483569
Skipping (null)
No such hive -2147483568
Skipping HKEY_PERFORMANCE_TEXT
No such hive -2147483567
Skipping (null)
No such hive -2147483566
Skipping (null)
No such hive -2147483565
Skipping (null)
No such hive -2147483564
Skipping (null)
No such hive -2147483563
Skipping (null)
No such hive -2147483562
Skipping (null)
No such hive -2147483561
Skipping (null)
No such hive -2147483560
Skipping (null)
No such hive -2147483559
Skipping (null)
No such hive -2147483558
Skipping (null)
No such hive -2147483557
Skipping (null)
No such hive -2147483556
Skipping (null)
No such hive -2147483555
Skipping (null)
No such hive -2147483554
Skipping (null)
No such hive -2147483553
Skipping (null)

$ head ../version.h
/* Autogenerated by script/mkversion.sh */
#define SAMBA_VERSION_MAJOR 4
#define SAMBA_VERSION_MINOR 0
#define SAMBA_VERSION_RELEASE 0
#define SAMBA_VERSION_TP_RELEASE 3
#define SAMBA_VERSION_SVN_REVISION 14740
#define SAMBA_VERSION_OFFICIAL_STRING "4.0.0tp3-SVN-build-14740"
#define SAMBA_VERSION_STRING samba_version_string()
Comment 4 Matthias Dieter Wallnöfer 2007-08-27 06:47:32 UTC
In recent SVN's I noticed a stacktrace bug when trying this. I'll see to work on it.
Comment 5 Matthias Dieter Wallnöfer 2007-08-27 10:16:39 UTC
I've tried to fix this but the new registry backend seems not to be completed yet (especially in rpc.c). I provide some patches now what I've applied to it. So some could be useful.
Comment 6 Matthias Dieter Wallnöfer 2007-08-27 10:20:48 UTC
Created attachment 2894 [details]
Here now the patches.
Comment 7 Matthias Dieter Wallnöfer 2007-09-03 17:30:57 UTC
Could we start to fix this up?
Comment 8 Matthias Dieter Wallnöfer 2008-01-01 14:16:03 UTC
Andrew, could you have a look at my patches?
Comment 9 Jelmer Vernooij 2008-01-06 21:13:15 UTC
I've fixed this in Subversion. The attached patch segfaulted on me so I haven't used it.
Comment 10 Jelmer Vernooij 2008-01-06 21:13:37 UTC
I've fixed this in Subversion. The attached patch segfaulted on me so I haven't used it.